setup() {
  testfile="$BATS_TEST_DIRNAME/../env-wiki-root.sh"
}

teardown() {
  export WIKIROOT=""
}

@test "Populates WIKIROOT environment variable" {
  source $testfile
  [ -n "$WIKIROOT" ]
}

@test "Sets WIKIROOT to correct default path" {
  source $testfile
  [ "$WIKIROOT" = "$HOME/Nextcloud/Notes/" ]
}

@test "Leaves WIKIROOT as is if it is already set" {
  export WIKIROOT="MY/CUSTOM/DIR"
  source $testfile
  [ "$WIKIROOT" = "MY/CUSTOM/DIR" ]
}
