#!/bin/zsh
# show newest files
# http://www.commandlinefu.com/commands/view/9015/find-the-most-recently-changed-files-recursively
newest() {
  find . -type f -printf '%TY-%Tm-%Td %TT %p\n' |
    grep -v cache |
    grep -v '.hg' | grep -v '.git' |
    sort -r |
    less
}
